
Foreman - Bug #17597

Saving an empty dashboard resulting in ISE

12/07/2016 08:44 AM - Tomer Brisker

Status: Closed   

Priority: Normal   

Assignee: Tomer Brisker   

Category: Dashboard   

Target version: 1.14.1   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link: 1334710 Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/4090

  

Description

Cloned from https://bugzilla.redhat.com/show_bug.cgi?id=1334710

Description of problem:

after closing all widgets and trying to save the dashboard, user receives a notification saying:

"Failed to save widget positions."

(the console displays err 500)

Version-Release number of selected component (if applicable):

6.2.0 Beta (GA10.1)

How reproducible:

always

Steps to Reproduce:

1. navigate to Dashboard

2. close all widgets

3. try Manage -> Save dashboard

Actual results:

ISE

Expected results:

Dashboard is saved

Additional info:

Associated revisions

Revision c6a25c1c - 12/07/2016 10:03 AM - Tomer Brisker

Fixes #17597 - Prevent error on saving empty dashboard

Revision 72cad285 - 01/30/2017 11:01 AM - Tomer Brisker

Fixes #17597 - Prevent error on saving empty dashboard

(cherry picked from commit c6a25c1c3aefe355750f84a27d101389167387c1)

History

#1 - 12/07/2016 08:51 AM - Dominic Cleal

ISE
https://bugzilla.redhat.com/show_bug.cgi?id=1334710


 On develop this appears to be:

2016-12-07T13:50:33 eadd4670 [app] [I] Started POST "/widgets/save_positions" for 127.0.0.1 at 2016-12-07 13:5

0:33 +0000

2016-12-07T13:50:33 eadd4670 [app] [I] Processing by DashboardController#save_positions as JSON

2016-12-07T13:50:33 eadd4670 [sql] [D]   ActiveRecord::SessionStore::Session Load (0.1ms)  SELECT  "sessions".

* FROM "sessions" WHERE "sessions"."session_id" = ?  ORDER BY "sessions"."id" ASC LIMIT 1  [["session_id", "ea

dd4670b8f568ef179fbddd98dfe410"]]

2016-12-07T13:50:33 eadd4670 [sql] [D]   User Load (0.1ms)  SELECT  "users".* FROM "users" WHERE "users"."id" 

= ? LIMIT 1  [["id", 24]]

2016-12-07T13:50:33 eadd4670 [app] [D] Setting current user thread-local variable to admin

2016-12-07T13:50:33 eadd4670 [sql] [D]   Setting Load (0.1ms)  SELECT  "settings".* FROM "settings" WHERE "set

tings"."name" = ?  ORDER BY "settings"."name" ASC LIMIT 1  [["name", "authorize_login_delegation_api"]]

2016-12-07T13:50:33 eadd4670 [sql] [D] String does not start with the prefix 'encrypted-', so Setting::Auth au

thorize_login_delegation_api was not decrypted

2016-12-07T13:50:33 eadd4670 [sql] [D]   AuthSource Load (0.1ms)  SELECT  "auth_sources".* FROM "auth_sources"

 WHERE "auth_sources"."id" = ? LIMIT 1  [["id", 1]]

2016-12-07T13:50:33 eadd4670 [app] [W] Failed to save positions

 | NoMethodError: undefined method `each' for nil:NilClass

 | /home/dcleal/code/foreman/foreman/app/controllers/dashboard_controller.rb:58:in `save_positions'

 | /home/dcleal/.rvm/gems/ruby-2.3.0@foreman/gems/actionpack-4.2.7.1/lib/action_controller/metal/implicit_rend

er.rb:4:in `send_action'

 | /home/dcleal/.rvm/gems/ruby-2.3.0@foreman/gems/actionpack-4.2.7.1/lib/abstract_controller/base.rb:198:in `p

rocess_action'

 | /home/dcleal/.rvm/gems/ruby-2.3.0@foreman/gems/actionpack-4.2.7.1/lib/action_controller/metal/rendering.rb:

10:in `process_action'

 | /home/dcleal/.rvm/gems/ruby-2.3.0@foreman/gems/actionpack-4.2.7.1/lib/abstract_controller/callbacks.rb:20:i

n `block in process_action'

 | /home/dcleal/.rvm/gems/ruby-2.3.0@foreman/gems/activesupport-4.2.7.1/lib/active_support/callbacks.rb:117:in

 `call'

 | /home/dcleal/.rvm/gems/ruby-2.3.0@foreman/gems/activesupport-4.2.7.1/lib/active_support/callbacks.rb:555:in

 `block (2 levels) in compile'

 | /home/dcleal/.rvm/gems/ruby-2.3.0@foreman/gems/activesupport-4.2.7.1/lib/active_support/callbacks.rb:505:in

 `call'

 | /home/dcleal/.rvm/gems/ruby-2.3.0@foreman/gems/activesupport-4.2.7.1/lib/active_support/callbacks.rb:498:in

 `block (2 levels) in around'

 | /home/dcleal/.rvm/gems/ruby-2.3.0@foreman/gems/activesupport-4.2.7.1/lib/active_support/callbacks.rb:313:in

 `block (2 levels) in halting'

 | /home/dcleal/.rvm/gems/ruby-2.3.0@foreman/gems/rails-observers-0.1.2/lib/rails/observers/action_controller/

caching/sweeping.rb:73:in `around'

#2 - 12/07/2016 08:52 AM - The Foreman Bot

- Status changed from New to Ready For Testing

- Assignee set to Tomer Brisker

- Pull request https://github.com/theforeman/foreman/pull/4090 added

#3 - 12/07/2016 11:02 AM - Anonymous

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset c6a25c1c3aefe355750f84a27d101389167387c1.

#4 - 12/08/2016 03:18 AM - Dominic Cleal

- translation missing: en.field_release set to 210

#5 - 12/13/2016 10:01 AM - Daniel Lobato Garcia

- Target version set to 1.4.3
